<?php
/**
 * Définit les autorisations du plugin gamuConfig
 *
 * @plugin     gamuConfig
 * @copyright  2021
 * @author     tofulm
 * @licence    GNU/GPL
 * @package    SPIP\Gamuconfig\Autorisations
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/**
 * Fonction d'appel pour le pipeline
 * @pipeline autoriser */
function gamuconfig_autoriser() {
}

function autoriser_configurer($faire, $type, $id, $qui, $opt) {
	$prefixes = lire_config('gamuconfig/prefixes');
	$Tprefixes = explode(',',$prefixes);
	$Tprefixes = array_map('trim',$Tprefixes);
	$Tid_auteur = lire_config('gamuconfig/id_auteur_aut');

	if (
		in_array($type, $Tprefixes)
		and intval($qui['id_auteur']) > 0
		and in_array($qui['id_auteur'], $Tid_auteur)
	) {
		return true;
	} else {
	return
		$qui['statut'] == '0minirezo'
		and !$qui['restreint'];
	}
	return false;
}
